<template>
    <div class="profile">
        <div class="headButton">
            <a class="backBtn" @click="onBack">
                <md-icon class="md-primary">chevron_left</md-icon>
                <span class="md-title">กลับ</span>
            </a>

            <a class="backBtn" @click="onEditProfile">
                <span class="md-title">แก้ไขข้อมูลส่วนตัว</span>
            </a>
        </div>
        
        <h1>ข้อมูลส่วนตัว</h1><br>

        <div class="profileBox md-elevation-3">
            <md-avatar class="md-large"><img src="https://placeimg.com/40/40/people/5" alt="People"></md-avatar>

            <span class="md-list-item-text" style="margin-left: 1rem;">
                <p class="md-caption">ชื่อผู้ใช้งาน</p>
                <span class="md-subheading">{{username}}</span>
            </span>
        </div>

        <div class="emailBox md-elevation-3">
            <p class="md-caption">อีเมลล์</p>
            <p class="md-subheading">{{email}}</p><br>

            <p class="md-caption">รหัสผ่าน</p>
            <div style="display: flex; justify-content: space-between;">
                <span class="md-subheading">{{password}}</span>
                <router-link to="/changepassword">เปลี่ยนรหัสผ่าน</router-link>
            </div>
        </div>

        <md-button class="md-raised md-accent logoutBtn" @click="onLogout">ออกจากระบบ</md-button>
    </div>
</template>

<script>
export default {
    name: 'Profile',
    metaInfo: {
        title: 'ข้อมูลส่วนตัว'
    },
    data() {
        return {
            username: 'Abbey Christansen',
            email: 'abbey.christ@gmail.com',
            password: '********'
        }
    },
    methods: {
        onBack() {
            this.$router.replace('/')
        },
        onEditProfile() {
            this.$router.replace('/editprofile')
        },
        onLogout() {
            this.$router.replace('/login')
        }
    }
}
</script>

<style lang="scss" scoped>
h1 {
    font-size: 2.5rem;
}

.headButton {
    display: flex;
    justify-content: space-between;
}

.backBtn {
    display: inline-flex;
    align-items: center;
}
.backBtn:hover {
    cursor: pointer;
    text-decoration: none;
}

.profileBox {
    width: 100%;
    display: inline-flex;
    align-items: center;
    background-color: whitesmoke;
    padding: 1rem;
    border-radius: 0.5rem;
    margin-bottom: 2rem;
}

.emailBox {
    width: 100%;
    align-items: center;
    background-color: whitesmoke;
    padding: 1rem;
    border-radius: 0.5rem;
    margin-bottom: 2rem;
}

.emailBox p {
    margin: 0;
    padding: 0;
}

.logoutBtn {
    width: 100%;
    padding: 0;
    margin: 0;
    margin-top: 1rem;
}
</style>